/* Version $Id: Calendar.js 14 2008-03-06 12:22:54Z erkan $ */

// ** I18N
// Calendar EN language
// Author: Mihai Bazon, <mihai_bazon@yahoo.com>
// Encoding: any
// Distributed under the same terms as the calendar itself.

// full day names
Calendar._DN = DateResource.days;

// Please note that the following array of short day names (and the same goes
// for short month names, _SMN) isn't absolutely necessary.  We give it here
// for exemplification on how one can customize the short day names, but if
// they are simply the first N letters of the full name you can simply say:
//
//   Calendar._SDN_len = N; // short day name length
//   Calendar._SMN_len = N; // short month name length
//
// If N = 3 then this is not needed either since we assume a value of 3 if not
// present, to be compatible with translation files that were written before
// this feature.

// short day names
Calendar._SDN = DateResource.shortDays

// First day of the week. "0" means display Sunday first, "1" means display
// Monday first, etc.
Calendar._FD = CommonResources["CALENDAR_FD"] * 1;

// full month names
Calendar._MN = DateResource.months;

// short month names
Calendar._SMN = DateResource.shortMonths;

// tooltips
Calendar._TT = {};

Calendar._TT["INFO"] = CommonResources["CALENDAR_INFO"];

Calendar._TT["ABOUT"] = CommonResources["CALENDAR_ABOUT"];
Calendar._TT["ABOUT_TIME"] = CommonResources["CALENDAR_ABOUT_TIME"];
Calendar._TT["PREV_YEAR"] = CommonResources["CALENDAR_PREV_YEAR"];
Calendar._TT["PREV_MONTH"] = CommonResources["CALENDAR_PREV_MONTH"];
Calendar._TT["GO_TODAY"] = CommonResources["CALENDAR_GO_TODAY"];
Calendar._TT["NEXT_MONTH"] = CommonResources["CALENDAR_NEXT_MONTH"];
Calendar._TT["NEXT_YEAR"] = CommonResources["CALENDAR_NEXT_YEAR"];
Calendar._TT["SEL_DATE"] = CommonResources["CALENDAR_SEL_DATE"];
Calendar._TT["DRAG_TO_MOVE"] = CommonResources["CALENDAR_DRAG_TO_MOVE"];
Calendar._TT["PART_TODAY"] = CommonResources["CALENDAR_PART_TODAY"];

// the following is to inform that "%s" is to be the first day of week
// %s will be replaced with the day name.
Calendar._TT["DAY_FIRST"] = CommonResources["CALENDAR_DAY_FIRST"];

// This may be locale-dependent.  It specifies the week-end days, as an array
// of comma-separated numbers.  The numbers are from 0 to 6: 0 means Sunday, 1
// means Monday, etc.
Calendar._TT["WEEKEND"] = CommonResources["CALENDAR_WEEKEND"];

Calendar._TT["CLOSE"] = CommonResources["CALENDAR_CLOSE"];
Calendar._TT["TODAY"] = CommonResources["CALENDAR_TODAY"];
Calendar._TT["TIME_PART"] = CommonResources["CALENDAR_TIME_PART"];

// date formats
Calendar._TT["DEF_DATE_FORMAT"] = CommonResources["CALENDAR_DEF_DATE_FORMAT"];
Calendar._TT["TT_DATE_FORMAT"] = CommonResources["CALENDAR_TT_DATE_FORMAT"];

Calendar._TT["WK"] = CommonResources["CALENDAR_WK"];
Calendar._TT["TIME"] = CommonResources["CALENDAR_TIME"];

