-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version  5.0.45-community-nt
--
-- Version $Id: MySQL.sql 109 2008-03-25 12:21:47Z aycan $
--


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema superstore
--

CREATE DATABASE IF NOT EXISTS superstore;
USE superstore;

--
-- Definition of table `cart`
--

DROP TABLE IF EXISTS `cart`;
CREATE TABLE `cart` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `PRODUCT_ID` int(10) unsigned NOT NULL default '0',
  `QUANTITY` int(10) unsigned NOT NULL default '0',
  `USER_ID` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB;

--
-- Dumping data for table `cart`
--

/*!40000 ALTER TABLE `cart` DISABLE KEYS */;
/*!40000 ALTER TABLE `cart` ENABLE KEYS */;


--
-- Definition of table `customers`
--

DROP TABLE IF EXISTS `customers`;
CREATE TABLE `customers` (
  `ID` int(8) NOT NULL auto_increment,
  `NAME` varchar(100) default NULL,
  `EMAIL` varchar(100) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=5;

--
-- Dumping data for table `customers`
--

/*!40000 ALTER TABLE `customers` DISABLE KEYS */;
INSERT INTO `customers` (`ID`,`NAME`,`EMAIL`) VALUES
 (1,'ABC Technologies','infox@abc-technologies.com'),
 (2,'Professional Touch Inc.','salesx@prof-touch.com'),
 (3,'Unified Traders Inc.','unifiedx@unifiedtraders.co.uk'),
 (4,'Gore-Tech Solutions','contaktx@goretech_solutions.de');
/*!40000 ALTER TABLE `customers` ENABLE KEYS */;


--
-- Definition of table `employees`
--

DROP TABLE IF EXISTS `employees`;
CREATE TABLE `employees` (
  `ID` int(8) NOT NULL auto_increment,
  `NAME` varchar(50) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=4;

--
-- Dumping data for table `employees`
--

/*!40000 ALTER TABLE `employees` DISABLE KEYS */;
INSERT INTO `employees` (`ID`,`NAME`) VALUES
 (1,'James Howard'),
 (2,'Susan Williams'),
 (3,'Steve Jordan');
/*!40000 ALTER TABLE `employees` ENABLE KEYS */;


--
-- Definition of table `orderdetails`
--

DROP TABLE IF EXISTS `orderdetails`;
CREATE TABLE `orderdetails` (
  `ID` int(8) NOT NULL auto_increment,
  `ORDER_ID` int(8) default '0',
  `PRODUCT_ID` int(8) default '0',
  `QUANTITY` int(4) default '0',
  `UNIT_PRICE` decimal(8,0) default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB;

--
-- Dumping data for table `orderdetails`
--

/*!40000 ALTER TABLE `orderdetails` DISABLE KEYS */;
/*!40000 ALTER TABLE `orderdetails` ENABLE KEYS */;


--
-- Definition of table `orders`
--

DROP TABLE IF EXISTS `orders`;
CREATE TABLE `orders` (
  `ID` int(8) NOT NULL auto_increment,
  `CUSTOMER_ID` int(8) default NULL,
  `EMPLOYEE_ID` int(8) default NULL,
  `ORDER_DATE` varchar(16) default '0000-00-00 00:00',
  `STATUS` varchar(10) default 'Created',
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB;

--
-- Dumping data for table `orders`
--

/*!40000 ALTER TABLE `orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `orders` ENABLE KEYS */;


--
-- Definition of table `product_categories`
--

DROP TABLE IF EXISTS `product_categories`;
CREATE TABLE `product_categories` (
  `ID` int(11) NOT NULL auto_increment,
  `NAME` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=10;

--
-- Dumping data for table `product_categories`
--

/*!40000 ALTER TABLE `product_categories` DISABLE KEYS */;
INSERT INTO `product_categories` (`ID`,`NAME`) VALUES
 (1,'Desktop Computer'),
 (2,'Server'),
 (3,'NoteBook Computer'),
 (4,'Printer'),
 (5,'Memory'),
 (6,'Processor'),
 (7,'Monitor'),
 (8,'Modem'),
 (9,'Hard Disk');
/*!40000 ALTER TABLE `product_categories` ENABLE KEYS */;


--
-- Definition of table `products`
--

DROP TABLE IF EXISTS `products`;
CREATE TABLE `products` (
  `ID` int(8) NOT NULL auto_increment,
  `NAME` varchar(100) default NULL,
  `STOCK` int(11) default NULL,
  `PRICE` double(16,2) default '0.00',
  `PCAT_ID` int(11) default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=49;

--
-- Dumping data for table `products`
--

/*!40000 ALTER TABLE `products` DISABLE KEYS */;
INSERT INTO `products` (`ID`,`NAME`,`STOCK`,`PRICE`,`PCAT_ID`) VALUES
 (1,'Compaq EVO P4 - 2.6 MHz, 40 GB HDD',25,899.00,1),
 (2,'Compaq EVO P4 - 2.2 MHz, 40 GB HDD',18,849.00,1),
 (3,'ACER ASPIRE P4 2.8 MHz, 40 GB HDD, 512MB RAM',10,1250.00,1),
 (4,'HP VL600 P3 800 MHz, 20 GB HDD',3,450.00,1),
 (5,'HP VLi8 P3 900 Mhz, 20 GB HDD',1,480.00,1),
 (6,'HP VL800 P3 800 Mhz, 20 GB HDD, 128 MB RAM',3,1800.00,1),
 (7,'HP VEi8 P3 900 MHz, 30GB HDD, 128 MB RAM',10,780.00,1),
 (8,'HP LH6000 Net Server, P3 900 Mhz',4,1250.00,2),
 (9,'HP LPr Net Server, P3 900 MHz',2,750.00,2),
 (10,'Compaq 8000R Server, XEON P4',5,3150.00,2),
 (11,'Compaq 6400R Server, XEON P4',2,2980.00,2),
 (12,'Compaq ML370 Server, 512MB SDRAM',0,2250.00,2),
 (13,'HP XE2 NoteBook, 15\" TFT, 256MB SDRAM',0,1700.00,3),
 (14,'HP 900 NoteBook, 15\" TFT, 256MB SDRAM',20,665.00,3),
 (15,'HP 4150 NoteBook, Super Light, 14\" TFT',0,780.00,3),
 (16,'Compaq nx7000, P4 Centrino 1.5 Mhz, 15.4\" TFT',8,1800.00,3),
 (17,'Compaq nx9020 Celeron M 1.4 Mhz, 40GB HDD',12,1150.00,3),
 (18,'Compaq V300 NoteBook, P3 Mobile 800 MHz',1,450.00,3),
 (19,'XEROX N17 Laser Printer',20,458.00,4),
 (20,'XEROX P8ex Laser Printer',10,753.00,4),
 (21,'XEROX N24 Laser Printer',5,789.00,4),
 (22,'XEROX P1202 Laser Printer',0,546.00,4),
 (23,'HP 2100 Laser Jet',5,333.00,4),
 (24,'HP 1100 Laser Jet',5,666.00,4),
 (25,'HP 5000 Laser Jet',2,330.00,4),
 (26,'Canon LBP-800 Laser Printer',5,452.00,4),
 (27,'Canon BJC-5500 Color InkJet',0,115.00,4),
 (28,'Canon BJC-5100 Color InkJet',2,125.00,4),
 (29,'XEROX C8 InkJet',2,100.00,4),
 (30,'XEROX XJ80 InkJet',2,100.00,4),
 (31,'XEROX C20 INK-JET PRINTER',2,50.00,4),
 (32,'OEM RAM 256MB',1,18.00,5),
 (33,'Veritech RAM 256MB',1,48.00,5),
 (34,'Viking RAM 512MB',6,120.00,5),
 (35,'Athlon MP 2.4+',10,240.00,6),
 (36,'Athlon XP 2.8+',10,240.00,6),
 (37,'Intel CPU P4 2.6',10,235.00,6),
 (38,'Intel CPU P4 3.0',5,159.00,6),
 (39,'Dell Monitor CRT 17\", 1024 x 768',1,180.00,7),
 (40,'Sony MONITOR 17\" LCD',5,780.00,7),
 (41,'LG CRT Monitor 15\"',10,119.00,7),
 (42,'ZOLTRIX Modem 56K',10,24.00,8),
 (43,'Creative V90 Modem 56K',6,28.00,8),
 (44,'QUAKE V90 Modem',8,8.00,8),
 (45,'USRobotics V90 Modem',5,65.00,8),
 (46,'DATRON ADSL Modem',10,70.00,8),
 (47,'Quantum SGHD-120',1,150.00,9),
 (48,'CAVIAR MAX 40UD133',5,180.00,9);
/*!40000 ALTER TABLE `products` ENABLE KEYS */;


--
-- Definition of table `search`
--

DROP TABLE IF EXISTS `search`;
CREATE TABLE `search` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `SSTR` varchar(80) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB;

--
-- Dumping data for table `search`
--

/*!40000 ALTER TABLE `search` DISABLE KEYS */;
/*!40000 ALTER TABLE `search` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
