/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * SourceArea.java
 *
 * Created on 14 September 2007 Cuma, 01:09
 *
 */

package org.moremotion.mmcomp.ajax;

import org.w3c.dom.Node;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: SourceArea.java 51 2008-03-10 11:46:54Z erkan $
 */
public class SourceArea {
  
  private String pageName = null;
  private String areaName = null;
  private String html = null;
  private boolean generated = false;
  private Node node = null;
  private String styleSequence = null;
  private String classPrefix = null;
  private boolean firstTimeForStyles = false;
  
  /**
   * Creates a new instance of SourceArea
   */
  public SourceArea() {
  }
  
  
  public void setPageName(String name) {
    this.pageName = name;
  }
  
  public String getPageName() {
    return this.pageName;
  }
  
  public void setAreaName(String name) {
    this.areaName = name;
  }
  
  public String getAreaName() {
    return this.areaName;
  }
  
//  public void setGenerated(boolean value) {
//    this.generated = value;
//  }
//  
//  public boolean isGenerated() {
//    return this.generated;
//  }
  
  public void setNode(Node node) {
    this.node = node;
  }
  
  public Node getNode() {
    return this.node;
  }
  
  public void setStyleSequence(int seq) {
    this.styleSequence = seq + "";
    this.classPrefix = "x" + seq;
  }
  
  public void setStyleSequence(int seq, boolean firstTime) {
    this.styleSequence = seq + "";
    this.classPrefix = "x" + seq;
    this.firstTimeForStyles = firstTime;
  }
  
  public String getStyleSequence() {
    return this.styleSequence;
  }
  
  public String getClassPrefix() {
    return this.classPrefix;
  }
  
  public boolean firstTimeForStyles() {
    return this.firstTimeForStyles;
  }
  
  public void setHtml(String html) {
    this.html = html;
  }
  
  public String getHtml() {
    return this.html;
  }
  
  public boolean equals(String pageName, String areaName) {
    return this.pageName.equals(pageName) && this.areaName.equals(areaName);
  }
  
}
