/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * Attachment.java
 *
 * Created on 31 September 2005 Monday, 19:01
 */

package org.moremotion.mmcomp.mailer;

import java.io.File;
import java.util.ArrayList;
import org.moremotion.process.ProcessRecord;
import org.moremotion.servlet.MoreMotionRequest;
import org.moremotion.util.StringParser;
import org.moremotion.util.XString;
import org.moremotion.cache.VariablePool;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: Attachment.java 51 2008-03-10 11:46:54Z erkan $
 */
public class Attachment {
  
  public File file;
  public String name;

  /** Creates a new instance of Attachment */
  public Attachment(File file, String name) {
    this.file = file;
    this.name = name;
    
  }
  
  
  public static Attachment[] getAttachments(MoreMotionRequest request, ProcessRecord prec, String str) {
    
//    if (str == null || str.trim().length() == 0) {
//      return null; 
//    }
    
    VariablePool vpool = request.getVPool();
    ArrayList a = new ArrayList();
    
    StringParser sp = new StringParser(str,',');
    while (!sp.eos()) {
      String s = sp.nextItem().trim();
      String an = XString.before(s,'|',"").trim();
      String fn = XString.after(s,'|').trim();
      
      if (fn.length() > 0 ) {
        
        Object object = null;
        
        if (fn.startsWith("v:")) {
          object = vpool.getObject(fn.substring(2));
        } else if (fn.startsWith("f:")) {
          object = prec.getObject(fn.substring(2));
        } else {
          object = (Object)request.getRealFile(fn);
        }
        
        if (object != null &&  object instanceof File) {
          a.add( new Attachment((File)object, an) );
        }
      }
      
    }
    Attachment[] result = new Attachment[a.size()];
    a.toArray(result);
    return result;
  }
  
}
