/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

package org.moremotion.mmcomp.reldb;

import org.moremotion.util.StringParser;
import org.moremotion.util.XString;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: BlobExportDefinition.java 215 2008-09-13 10:27:24Z erkan $
 */
public class BlobExportDefinition {
  
  protected String exportDir;
  protected String dburl;
  protected String[] keyCols;
  protected String[] blobCols;
  protected String[] exts;
  protected String[] lmCols;
  private static final String EXPORT_BLOB_DATA = "_EXPORT_BLOB_DATA(";
  
  public BlobExportDefinition(String sql, String dburl) {
    this.dburl = dburl;
    int start = sql.indexOf(EXPORT_BLOB_DATA);
    start = start + EXPORT_BLOB_DATA.length();
    int end = StringParser.locateChar(sql,start,')');
    String parms = sql.substring(start,end);
    StringParser parser = new StringParser(parms,';');
    parser.trimmed();
    exportDir = parser.nextItem();
    keyCols = XString.split(parser.nextItem(),',',true);
    blobCols = XString.split(parser.nextItem(),',',true);
    lmCols = XString.split(parser.nextItem(),',',true);
    
    exts = new String[blobCols.length];
    for (int i = 0; i < blobCols.length ; i++) {
      exts[i] = XString.after(blobCols[i],':',"jpg");
      blobCols[i] = XString.before(blobCols[i],':');
    }
  }
  
  public static boolean hasBlobExportDefinition(String sql) {
    return sql.indexOf(EXPORT_BLOB_DATA) > -1;
  }
  
  public boolean isDefinedAsBlob(String colName) {
    for (int i = 0; i < blobCols.length; i++) {
      if (blobCols[i].equals(colName)) {
        return true;
      }
    }
    return false;
  }
  
  
}
