/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * ConditionalListItem.java
 */

package org.moremotion.config;

import org.moremotion.evaluator.Expression;
import org.moremotion.servlet.MoreMotionRequest;
import org.w3c.dom.Element;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: ConditionalListItem.java 58 2008-03-12 09:32:31Z erkan $
 */

public class ConditionalListItem {
  
  private Expression expr = null;
  
  /** Creates a new instance of ConditionalListItem */
  protected ConditionalListItem(Element elm) {
    if (elm == null) return;
    String precond = elm.getAttribute("if");
    if (precond.length() > 0) {
      expr = new Expression(precond);
    }
  }
  
  public boolean precondSatisfied(MoreMotionRequest request) throws ConfigParameterException {
    if (expr == null) return true;
    try {
      return expr.evalBool(request.getSymbolResolver());
    } catch (Exception ex) {
      throw new ConfigParameterException("ERROR_WHEN_TESTING_CONDITION",new String[]{expr.toString()},ex);
    }
  }
  
  public Expression getCondition() {
    return this.expr;
  }
  
}
