/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * DataServiceContext.java
 *
 * Created on 28 July 2004 Wednesday, 12:16
 */

package org.moremotion.datasrc; 

import org.moremotion.config.ConfigParameterException;
import org.moremotion.page.PageDataRequest;
import org.moremotion.servlet.MoreMotionRequest;
import org.moremotion.servlet.ServiceException;
import org.moremotion.util.Logger;

/**
 * Represents a context that provides all the necessary information for a MoreMotion Data Source. 
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: DataServiceContext.java 51 2008-03-10 11:46:54Z erkan $
 */
public class DataServiceContext {
  
  private MoreMotionRequest request = null;
  private Paging paging = null;
  private DataSourceConfig dsconfig = null;
  private PageDataRequest pdr = null;
  
  public Logger logger = null; 
  
  public DataServiceContext() {
  }
  
  public Logger getDebugger() {
    return this.logger;
  }
  
  public void setRequest(MoreMotionRequest request) {
    this.request = request;
  }
  
  public MoreMotionRequest getRequest() {
    return this.request;
  }
  
  protected void setPaging(Paging paging) {  
    this.paging = paging;
  }
  
  /**
   * Returns {@link Paging org.moremotion.data.source.Paging} object of the datasource.
   */
  public Paging getPaging() {
    return this.paging;
  }
 
  protected void setDataSourceConfig(DataSourceConfig dsconfig) { 
    this.dsconfig = dsconfig;
  }
  
  public DataSourceConfig getDataSourceConfig() {
    return this.dsconfig;  
  }
  
  public void setPageDataRequest(PageDataRequest pdr) {
    this.pdr = pdr;  
  }
  
  public PageDataRequest getPageDataRequest() {
    return this.pdr;  
  }
  
  protected void setLogger(String name, int level, String resBundleName) {

    logger = new Logger(name); 
    logger.setLevel(level);
    logger.setResourceBundleName(resBundleName);
    
  }
  
}
