/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * Array.java
 *
 * Created on 10 February 2006 Friday, 17:09
 */

package org.moremotion.evaluator;

import java.util.ArrayList;
import org.moremotion.evaluator.Evaluable;
import org.moremotion.util.StringParser;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: Array.java 51 2008-03-10 11:46:54Z erkan $
 */

public class Array implements Evaluable {
  
  private String str = null;
  private Expression[] items;
  
  private boolean parsed = false;
  
  /** Creates a new instance of Array */
  public Array(String str) {
    this.str = str;
  }
  
  public Object evaluate(SymbolResolver sr) throws EvaluationException {
    parse();
    
    return this;
  }
  
  public Object eval(SymbolResolver sr) throws EvaluationException {
    return this;
  }
  
  private void parse() {
    if (parsed) return;
    parsed = true;
    ArrayList a = new ArrayList();
    StringParser p = new StringParser(str,',');
    p.trimmed();
    while (p.hasMore()) {
      String s = p.nextItem();
      Expression e = new Expression(s);
      a.add(e);
    }
    items = new Expression[a.size()];
    a.toArray(items);
    
  }
  
  
  public Expression[] getItems() {
    return this.items;  
  }
  
  public String toString() {
    StringBuffer sb = new StringBuffer();
    for (int i = 0; i < items.length; i++) {
      Expression e = items[i];
      if (i > 0) {
        sb.append(',');
      }
      sb.append(e.toString());
    }
    
    return sb.toString();
    
  }
  
  
  public static void main(String[] args) {
    
    try {
      
    String s = " sstr(['aaaa' + 12 /            3,'bbbb'],1) ";
    Expression x = new Expression(s); 
    System.out.println(x.eval());
      
      
    } catch (Exception e) {
      e.printStackTrace();
    }
  }
    
  
}
