/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

package org.moremotion.evaluator;

import java.util.HashMap;
import org.moremotion.config.Config;
import org.moremotion.config.ConfigNode;
import org.moremotion.config.ConfigNodeList;
import org.moremotion.config.ConfigParameter;
import org.moremotion.config.ConfigParameterException;
import org.moremotion.config.ConfigUnit;
import org.moremotion.config.ConfigurationException;
import org.moremotion.servlet.MoreMotionRequest;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: MScriptFunctionConfig.java 51 2008-03-10 11:46:54Z erkan $
 */
public class MScriptFunctionConfig extends Config {
  
  private String className = null;
  
  public ConfigParameter unitname = null;
  
  
  /**
   * The debugging level from 1 to 3
   */
  protected ConfigParameter debug = null;
  
  public MScriptFunctionConfig(ConfigUnit unit) throws ConfigurationException {
    super(unit,false);
    parse(unit.getConfigNodeList());
  }
  
  private void parse(ConfigNodeList nodelist) throws ConfigParameterException {
    
    for (int i = 0; i < nodelist.size(); i++) {
      
      ConfigNode node = nodelist.get(i);
      
      String name = node.getName();
      
      if (name.equals("unitname")) { 
        unitname = new ConfigParameter("unitname",node.getValue());
      }
      
      else if (name.equals("debug")) {
        debug = new ConfigParameter("debug", node.getValue());
      }
      
      else if (name.equals("class")) {
        className = node.getValue();
      }
      
      else {
        if (params == null) params = new HashMap();
        params.put(name, new ConfigParameter(name, node.getValue())) ;
      }
      
      
    }
    
  }
  
  public String getUnitName(MoreMotionRequest request) throws ConfigParameterException {
    return unitname == null ? null : unitname.resolve(request).stringValue(null);
  }
  
  public int getDebug(MoreMotionRequest request) throws ConfigParameterException {
    return debug == null ? 0 : debug.resolve(request).intValue(0);
  }
  
  public String getClassName() {
    return this.className;
  }
  
  public ConfigParameter getParameter(String name) throws ConfigParameterException {
    return (ConfigParameter)params.get(name);
  }
  
  
}