/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * ThenElse.java
 *
 * Created on 10 February 2006 Friday, 17:09
 */

package org.moremotion.evaluator;

import org.moremotion.evaluator.Evaluable;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: ThenElse.java 51 2008-03-10 11:46:54Z erkan $
 */

public class ThenElse implements Evaluable {
  
  private OPNode n1;
  private OPNode n2;
  
  /** Creates a new instance of ThenElse */
  public ThenElse(OPNode n1, OPNode n2) {
    this.n1 = n1;
    this.n2 = n2;
  }
  
  public Object evaluate(SymbolResolver sr) throws EvaluationException {
    return this;
  }
  
  public Object eval(SymbolResolver sr, boolean then) throws EvaluationException {
    if (then) {
      return n1.evaluate(sr);
    } else {
      if (n2 == null) return new String("");
      return n2.evaluate(sr);
    }
    
  }
  
  public String toString() {
    if (n2 == null) {
      return n1.toString();  
    }
    return n1.toString() + " : " + n2.toString();  
    
  }
  
  
}
