/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * SystemContext.java
 *
 */

package org.moremotion.servlet;

import javax.naming.InitialContext;
import javax.servlet.ServletContext;
import org.moremotion.cache.TempFileManager;
import org.moremotion.cache.XslTransformerCache;
import org.moremotion.config.ConfigManager;
import org.moremotion.security.Encryptor;
import org.moremotion.util.Logger;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: SystemContext.java 51 2008-03-10 11:46:54Z erkan $
 */
public class SystemContext {
  
  public static XslTransformerCache getXSLTransformerCache() {
    return StartupServlet.transformerCache;
  }
  
  public static InitialContext getInitialContext() {
    return StartupServlet.initialContext;
  }
  
  public static ConfigManager getConfigManager() {
    return StartupServlet.configManager;
  }
  
  public static TempFileManager getTempFileManager() {
    return StartupServlet.tempFileManager;
  }
  
  public static TempFileManager getWebTempFileManager() {
    return StartupServlet.tempWebFileManager;
  }
  
  public static ServletContext servletContext() {
    return StartupServlet.servletContext;
  }
  
  public static Encryptor encryptor() {
    return StartupServlet.encryptor;
  }

  public static Logger logger() {
    return StartupServlet.logger;
  }

  
}
