/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

package org.moremotion.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.moremotion.util.JdbcConnection;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: WelcomeServlet.java 200 2008-09-09 19:07:21Z erkan $
 */
public class WelcomeServlet extends HttpServlet {

  private void processRequest(HttpServletRequest request, HttpServletResponse response)
          throws ServletException, java.io.IOException {

    MoreMotionRequest mmrequest = new MoreMotionRequest(request, response);

    try {

      String pageName = getInitParameter("pagename");
      if (pageName == null || pageName.trim().length() == 0) {
        pageName = "/index";
      }
      mmrequest.generatePage(pageName);

    } catch (Exception mme) {
      try {
        mmrequest.createMessage(mme);
        mmrequest.generateDefaultErrorPage();
      } catch (Exception e) {
        throw new ServletException(e);
      }
    } finally {
      try {
        JdbcConnection.releaseRequestConnections(mmrequest);
      } catch (Exception e) {
        throw new ServletException(e);
      }
    }

  }

  protected void doGet(HttpServletRequest request, HttpServletResponse response)
          throws ServletException, java.io.IOException {
    processRequest(request, response);
  }

  protected void doPost(HttpServletRequest request, HttpServletResponse response)
          throws ServletException, java.io.IOException {
    processRequest(request, response);
  }

  public String getServletInfo() {
    return "MoreMotion Welcome Page";
  }
  private static long lModified = 0;

  protected long getLastModified(HttpServletRequest req) {
    return lModified++;
  }
}
