/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * ReldbUtils.java
 *
 * Created on 16 April 2007 Monday, 22:45
 *
 */

package org.moremotion.util;

import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import org.moremotion.cache.VariablePool;
import org.moremotion.evaluator.Vars;
import org.moremotion.process.ProcessRecord;
import org.moremotion.servlet.MoreMotionRequest;


/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: ReldbUtils.java 199 2008-09-08 08:48:37Z erkan $
 */
public class JdbcUtils {
  
  
  public static String arrangeSpecialSQL(String sql) {
    
    boolean q = false;
    int level = 0;
    StringBuffer buf = null;
    int len = sql.length();
    for (int i = 0; i < len; i++) {
      char c = sql.charAt(i);
      if (!q && level == 0) {
        if (c == ':') {
          if (i > 9) {
            char p = sql.charAt(i-1);
            if ( p == 'v' || p == 'p' || p == 's' || p == 'f') {
              int j = i - 2;
              if (sql.charAt(j) <= ' ') {
                j--;
                while (j > 9 && sql.charAt(j) <= ' ') j--;
                if (j > 9) {
                  if (
                      sql.charAt(j-2) <= ' ' &&
                      Character.toLowerCase(sql.charAt(j-1)) == 'a' &&
                      Character.toLowerCase(sql.charAt(j)) == 's'
                      ) {
                    if (buf == null) {
                      buf = new StringBuffer(sql.substring(0,i));
                    }
                    buf.append("pool_");
                    continue;
                  }
                }
              }
            }
          }
        }
        
        if (c == 'm' || c == 'M') {
          if (i < len && i > 10 && sql.charAt(i+1) <= ' ') {
            char x = sql.charAt(i-1);
            if (x == 'o' || x == 'O') {
              x = sql.charAt(i-2);
              if (x == 'r' || x == 'R') {
                x = sql.charAt(i-3);
                if (x == 'f' || x == 'F') {
                  if (sql.charAt(i-4) <= ' ') {
                    if (buf == null) {
                      return sql;
                    } else {
                      buf.append(sql.substring(i));
                      return buf.toString();
                    }
                  }
                }
              }
            }
          }
        }
      }
      
      if (buf != null) {
        buf.append(c);
      }
      
      if (c == '\'') {
        q = !q;
      } else if (c == '(') {
        level++;
      } else if (c == ')') {
        level--;
      }
      
    }
    
    if (buf == null) {
      return sql;
    } else {
      return buf.toString();
    }
    
  }
  
  public static void setFields(ResultSet rs, ProcessRecord prec, MoreMotionRequest request, Logger logger) throws Exception {
    
    ResultSetMetaData rsmd = rs.getMetaData();
    boolean hasResult = rs.next();
    
    int cc = rsmd.getColumnCount();
    
    VariablePool vpool = request.getVPool();
    Vars vars = request.getVars();
    
    for (int ci = 1; ci <= cc; ci++) {
      
      String colName = rsmd.getColumnName(ci);
      String colValue = "";
      if (hasResult) {
        colValue = rs.getString(ci);
        if (colValue == null) {
          colValue = "";
        }
      }
      
      String colname = colName.toLowerCase();
      
      if (colname.startsWith("fpool_")) {
        colName = colName.substring(6);
        prec.setField(colName,colValue);
        if (logger.LEVEL2) logger.printres("PROCESS_FIELD_SET_TO", colName, colValue);
      
      } else if (colname.startsWith("vpool_")) {
        colName = colName.substring(6);
        vpool.put(colName,colValue);
        if (logger.LEVEL2) logger.printres("POOL_VARIABLE_SET_TO", colName, colValue);
        
      } else if (colname.startsWith("ppool_")) {
        colName = colName.substring(6);
        vars.setPageVar(colName, colValue);
        if (logger.LEVEL2) logger.printres("PAGE_VARIABLE_SET_TO", colName, colValue);
        
      } else if (colname.startsWith("spool_")) {
        colName = colName.substring(6);
        vars.setSessionVar(colName, colValue);
        if (logger.LEVEL2) logger.printres("SESSION_VARIABLE_SET_TO", colName, colValue);
        
      } else if (colname.startsWith("pool_")) {
        colName = colName.substring(5);
        prec.setField(colName,colValue);
        if (logger.LEVEL2) logger.printres("PROCESS_FIELD_SET_TO", colName, colValue);
      }
      
      
    }
  }
  
  
}
