/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * Utils.java
 *
 * Created on 03 Mart 2007 Cumartesi, 20:40
 *
 */

package org.moremotion.utilityservices;

import java.io.BufferedWriter;
import java.io.OutputStreamWriter;
import javax.servlet.http.HttpServletResponse;
import org.moremotion.servlet.MoreMotionRequest;
import org.moremotion.servlet.SystemConfig;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: Utils.java 186 2008-07-31 18:23:46Z erkan $
 */
public class Utils {
  
  
  public static boolean isUtilityServiceActive(MoreMotionRequest request, String serviceName) {
    
    if ( (" " + SystemConfig.enabledUtilityServices() + " ").indexOf(" " + serviceName + " ") > -1) {
      return true;
    }
    
    try {
    
      request.setNoCache();
      HttpServletResponse response = request.getResponse();
      response.setContentType("text/html");

      BufferedWriter bw = new BufferedWriter(
      new OutputStreamWriter(response.getOutputStream(), "iso-8859-1")
      );

      bw.write("<html><body><h2>Service is disabled!</h2></body></html>");
      bw.flush();
      bw.close();
    } catch (Exception e) {
      e.printStackTrace();
    }
    
    return false;
    
    
  }
  
}
